## hotkey-setup 0.1-9ubuntu2

=== Makefile ===
dumpkeycodes: dumpkeycodes.c
	gcc -o dumpkeycodes dumpkeycodes.c

clean:
	- rm dumpkeycodes	

all: dumpkeycodes

=== debian/changelog ===
hotkey-setup (0.1-9ubuntu2) breezy; urgency=low

  * Fix init script so #16071 fix works on branded Acers

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Mon, 10 Oct 2005 12:09:08 +0100

hotkey-setup (0.1-9ubuntu1) breezy; urgency=low

  * Attempt to avoid hibernating on random keys (#16071)
  * Disable Dell hotkeys (since they don't generate keyup events) (#14446)

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Sat,  8 Oct 2005 18:26:44 +0100

hotkey-setup (0.1-9) unstable; urgency=low

  * Ensure that random keys don't trigger hibernation events
  * Add support for IBM tablet hotkeys
  * Add init script support for restoring original keymap

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Sat, 24 Sep 2005 19:30:55 +0100

hotkey-setup (0.1-8) unstable; urgency=low

  * Rearrange miscellaneous keycodes to correspond to some actual 
    keyboards
  * Add Dell support
  * Add some extra HP hotkeys (closes: #329612)
	
 -- Matthew Garrett <mjg59@srcf.ucam.org>  Thu, 22 Sep 2005 15:05:23 +0100

hotkey-setup (0.1-7) unstable; urgency=low

  * Rectify excessive number of esacs in the init script

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Tue, 20 Sep 2005 15:19:01 +0100

hotkey-setup (0.1-6) unstable; urgency=low

  * Fix HP hotkey setup

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Sat, 17 Sep 2005 15:44:01 +0100

hotkey-setup (0.1-5) unstable; urgency=low

  * Add basic support for Sonys

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Fri,  2 Sep 2005 17:56:52 +0100

hotkey-setup (0.1-4) unstable; urgency=low

  * Add entry for HP tablets

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Mon, 22 Aug 2005 19:08:02 +0100

hotkey-setup (0.1-3) unstable; urgency=low

  * Fix typo in init script (Closes: #322545)
  * Add hotkeys for HP laptops (Ubuntu #13527)
  * Add support for ASUS volume keys (Ubuntu #13576)

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Wed, 17 Aug 2005 21:49:51 +0100

hotkey-setup (0.1-2ubuntu1.0) breezy; urgency=low

  * Fix typo in init script (/use -> /usr).
  * Add hotkeys for HP laptops (Ubuntu #13527).

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 17 Aug 2005 16:01:27 +0100

hotkey-setup (0.1-2) unstable; urgency=low

  * Uncomment dh_installinit from the rules file. Christ, I suck.

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Fri,  5 Aug 2005 10:33:50 +0100

hotkey-setup (0.1-1) unstable; urgency=low

  * Initial Release.

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Thu, 28 Jul 2005 15:16:34 +0100

=== debian/control ===
Source: hotkey-setup
Section: misc
Priority: optional
Maintainer: Matthew Garrett <mjg59@srcf.ucam.org>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1

Package: hotkey-setup
Architecture: i386
Depends: dmidecode
Description: auto-configures laptop hotkeys
 This package will attempt to auto-detect your laptop hardware and then
 configure its hotkeys to produce useful keycodes. These can then be used by
 userspace applications.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build:
	make

clean:
	dh_testdir
	dh_testroot

	dh_clean 
	make clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/hotkey-setup.
	mkdir -p $(CURDIR)/debian/hotkey-setup/usr/share/hotkey-setup
	cp $(CURDIR)/*.hk $(CURDIR)/debian/hotkey-setup/usr/share/hotkey-setup
	mkdir $(CURDIR)/debian/hotkey-setup/usr/sbin
	cp $(CURDIR)/dumpkeycodes $(CURDIR)/debian/hotkey-setup/usr/sbin

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## hotkey-setup 0.1-17

=== debian/changelog ===
hotkey-setup (0.1-17) unstable; urgency=low

  * Add support for Samsung hotkeys (eg. x05 and others) [Malone: #23165]
  * Add support for Compaq Armada E500 [Malone: #37684]

 -- Paul Sladen <debian@paul.sladen.org>  Sat, 29 Apr 2006 20:32:20 +0200

hotkey-setup (0.1-16) unstable; urgency=low

  * Add support for Lenovo ThinkPads [Malone: #37082]

 -- Paul Sladen <debian@paul.sladen.org>  Wed, 29 Mar 2006 18:21:03 +0100

hotkey-setup (0.1-15) unstable; urgency=low

  * Changes from Paul Sladen:
  * Call setkeycodes once instead of 255 times.
  * Canonical list of not-yet-assigned keys aliased to high Function-keys
  in aliased-keys
  * thinkpad-keys reports KEY_LIGHT
  + Fix Thinkpad lockfile deletion.
  + modprobe nvram if '/dev/nvram' not available.
  * Support for Acer Aspire 1680/1690
  * Attempt to support COMPAL CL56 Acer-rebadge (with retarded dmidecode)
  * Add 'aliased-keys' file for keys not-yet assigned in 'linux/input.h'
  * Added 'atkbd.hk';  a list of symbolically mapped keys configured by
  default on boot before 'hotkey-setup' is started.
  * Comment out all mapping in '*.hk' that duplicate a pre-configured
  mapping on boot (one that exists in 'atkbd.hk') and mark with:
  # Canonical mapping, commented out.
  * Map both style of ThinkPad singular 'Fn' action to KEY_WAKEUP.
  [Malone: #36601]
  * More Mappings for Dell [Malone: #30457]
  * Set KEY_BATTERY=236 on the basis that this is going to be assigned
  upstream.
  * Fix awk expression for rebuilding 'key-constants'
  * Left mappings for machines ID'ing as "Compaq Presario" commented out.
  Please file a bug if you find these to be correct for you.

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Sat, 25 Mar 2006 20:18:36 +0000

hotkey-setup (0.1-14) unstable; urgency=low

  * Change to using symbolic constants for hotkeys (patch from Paul
    Sladen <ubuntu@paul.sladen.org>

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Mon,  6 Feb 2006 13:44:05 +0000

hotkey-setup (0.1-13) unstable; urgency=low

  * On IBMs, load 'thinkpad-keys' /dev/input keyboard emulator
  - AccessIBM/Thinkpad, Volume keys and Zoom (Fn+Space) from /dev/nvram

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Wed, 01 Feb 2006 08:41:37 +0000

hotkey-setup (0.1-12) unstable; urgency=low

  * Fix Dell hibernate and HP sound keys

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Fri,  6 Jan 2006 18:31:33 +0000

hotkey-setup (0.1-11) unstable; urgency=low

  * Changed some scancodes to correspond to /usr/include/linux/input.h

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Fri,  6 Jan 2006 17:12:10 +0000

hotkey-setup (0.1-10) unstable; urgency=low

  * Upgrade to work with the current dmidecode
  * Disable a couple of keycodes that cause problems on some machines
  * Add amd64 support (needs adding to PAS, Closes: #331280)

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Sat, 24 Dec 2005 01:31:56 +0000

=== debian/control ===
Source: hotkey-setup
Section: misc
Priority: optional
Maintainer: Matthew Garrett <mjg59@srcf.ucam.org>
Build-Depends: debhelper (>= 4.0.0), linux-kernel-headers (>= 2.6.11)
Standards-Version: 3.6.1

Package: hotkey-setup
Architecture: i386 amd64
Depends: dmidecode (>= 2.7)
Conflicts: tpb
Description: auto-configures laptop hotkeys
 This package will attempt to auto-detect your laptop hardware and then
 configure its hotkeys to produce useful keycodes. These can then be used by
 userspace applications.

=== debian/rules ===
--- 
+++ 
@@ -28,8 +28,10 @@
 	# Add here commands to install the package into debian/hotkey-setup.
 	mkdir -p $(CURDIR)/debian/hotkey-setup/usr/share/hotkey-setup
 	cp $(CURDIR)/*.hk $(CURDIR)/debian/hotkey-setup/usr/share/hotkey-setup
+	cp $(CURDIR)/key-constants $(CURDIR)/debian/hotkey-setup/usr/share/hotkey-setup
 	mkdir $(CURDIR)/debian/hotkey-setup/usr/sbin
 	cp $(CURDIR)/dumpkeycodes $(CURDIR)/debian/hotkey-setup/usr/sbin
+	cp $(CURDIR)/thinkpad-keys $(CURDIR)/debian/hotkey-setup/usr/sbin
 
 # Build architecture-independent files here.
 binary-indep: build install

## hotkey-setup 0.1-17ubuntu3

=== debian/changelog ===
hotkey-setup (0.1-17ubuntu3) edgy; urgency=low

  * Add forgotten versioned-dependency on sysv-rc to get new update-rc.d
    behaviour.  Go me.

 -- Scott James Remnant <scott@ubuntu.com>  Fri, 21 Jul 2006 01:21:53 +0100

hotkey-setup (0.1-17ubuntu2) edgy; urgency=low

  * Correct call to dh_installinit.

 -- Scott James Remnant <scott@ubuntu.com>  Fri, 21 Jul 2006 00:57:18 +0100

hotkey-setup (0.1-17ubuntu1) edgy; urgency=low

  * Remove stop links from rc0 and rc6

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 20 Jul 2006 22:37:16 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: hotkey-setup
 Architecture: i386 amd64
-Depends: dmidecode (>= 2.7)
+Depends: dmidecode (>= 2.7), sysv-rc (>= 2.86.ds1-14.1ubuntu2)
 Conflicts: tpb
 Description: auto-configures laptop hotkeys
  This package will attempt to auto-detect your laptop hardware and then

## hotkey-setup 0.1-17ubuntu9

=== Makefile ===
all: dumpkeycodes thinkpad-keys

dumpkeycodes: dumpkeycodes.c
	$(CC) -o $@ $<
	strip $@

thinkpad-keys: thinkpad-keys.c
	$(CC) -o $@ $<
	strip $@

key-constants: /usr/include/linux/input.h aliased-keys
	test -f $<
	echo -n '# Generated from $< dated ' > $@
	date -r $< >> $@

	awk '/^#define  *KEY_/{if(strtonum($$3) <= 255) print $$2"="strtonum($$3)}' $< | sort -nt'=' -k2 >> $@
	echo -n "# Aliases for keys not yet assigned in 'linux/input.h'"
	cat aliased-keys >> $@

atkbd.hk: /var/run/hotkey-setup
	test -f $<
	./make-atkbd.sh

clean:
	- rm -f dumpkeycodes thinkpad-keys *~

=== debian/changelog ===
hotkey-setup (0.1-17ubuntu9) feisty; urgency=low

  * dell.hk: Fix "setkeycode" typo (LP: #106328).

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 14 Apr 2007 00:03:52 +0100

hotkey-setup (0.1-17ubuntu8) feisty; urgency=low

  * Use -c when checking for /dev/nvram (Closes: #387246)
  * Add support for MSI hardware (Closes: #418649)
  * Add support for upper-case Samsung strings (Closes: #378823)
  * Add support for Dell media keys (Closes: #355223) 
  * Add support for Lenovo 3000 series. LP: #44615.

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Thu, 12 Apr 2007 00:52:51 +0100

hotkey-setup (0.1-17ubuntu7) feisty; urgency=low

  * Make 'hotkey-setup' work on Compaq Evo N620c.
    (Closes: LP #69225)

 -- Paul Sladen <sladen@ubuntu.com>  Fri, 30 Mar 2007 18:49:14 +0100

hotkey-setup (0.1-17ubuntu6) feisty; urgency=low

  * Make "/etc/init.d/hotkey-setup stop" *not* fail if keystate cannot
    be restored before stopping (upgrade failure).
    (Closes LP: #88105)

 -- Paul Sladen <sladen@ubuntu.com>  Fri, 16 Mar 2007 09:43:52 +0000

hotkey-setup (0.1-17ubuntu5) feisty; urgency=low

  * debian/control: Drop obsolete linux-kernel-headers build depenceny to fix
    FTBFS.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 26 Feb 2007 10:32:51 +0100

hotkey-setup (0.1-17ubuntu4) feisty; urgency=low

  * debian/control: Update maintainer fields according to debian-
    maintainer-field spec.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 23 Feb 2007 08:37:16 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: hotkey-setup
 Section: misc
 Priority: optional
-Maintainer: Matthew Garrett <mjg59@srcf.ucam.org>
-Build-Depends: debhelper (>= 4.0.0), linux-kernel-headers (>= 2.6.11)
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthew Garrett <mjg59@srcf.ucam.org>
+Build-Depends: debhelper (>= 4.0.0)
 Standards-Version: 3.6.1
 
 Package: hotkey-setup

## hotkey-setup 0.1-17ubuntu20

=== debian/changelog ===
hotkey-setup (0.1-17ubuntu20) gutsy; urgency=low

  * Ensure that the existing scripts are only run on laptops
  * Enable display hotkey on Thinkpads using randr1.2 capable drivers
  * Enable ACPI video key switching on machines using randr1.2 capable
    drivers
  * Improve robustness of Thinkpad detection
  * Add support for the Lenovo care key
  * Add autodetection of new HP tablets

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Sun, 30 Sep 2007 01:38:52 +0100

hotkey-setup (0.1-17ubuntu19) gutsy; urgency=low

  * Fix number of '.' in 'grep' mask string
  * Set the top 8-bits of the mask and see if the they stick
  * Add back in 'thinkpad-keys' lockfile logic
  * 'thinkpad-keys': Move open("fifo") into loop to reduce
    code duplication.
  * Roll 'thinkpad-keys-update' into "thinkpad-keys --update";
    remove second binary and duplicated FIFO location.
  * Change 'init.d' shebang from 'bash' to 'sh'
  * Add alias '--no-brightness' for 'LENOVO'; move policy
    decision from 'thinkpad-keys' to the 'init.d'
  
 -- Paul Sladen <sladen@ubuntu.com>  Tue, 18 Sep 2007 19:41:36 +0300

hotkey-setup (0.1-17ubuntu18) gutsy; urgency=low

  * Fix build breakage 

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Sun, 16 Sep 2007 00:52:07 +0100

hotkey-setup (0.1-17ubuntu17) gutsy; urgency=low

  * Make sure that thinkpad-keys-update is actually installed 

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Sat, 15 Sep 2007 22:49:35 +0100

hotkey-setup (0.1-17ubuntu16) gutsy; urgency=low

  * Add support for event-driven thinkpad-keys for machines that still need
    that. Requires kernel update for getting the notifications.
  * Reenable thinkpad-keys on hardware that doesn't have a sufficiently wide
    hotkey mask. Might still need some tuning. 

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Sat, 15 Sep 2007 22:05:20 +0100

hotkey-setup (0.1-17ubuntu15) gutsy; urgency=low

  * Reduce power consumption and try to avoid circular relationships
    between key and brightness events.
  - Disable the 'thinkpad-keys' daemon
  - Enable extended ThinkPad hotkey ACPI events.
    (Combined with update to 'acpi-support' to handle new events).

 -- Paul Sladen <sladen@ubuntu.com>  Thu, 13 Sep 2007 19:11:08 +0300

hotkey-setup (0.1-17ubuntu14) gutsy; urgency=low

  * Don't send brightness key events on Lenovos - we'll get them through 
    ACPI

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Sun, 09 Sep 2007 18:07:07 +0100

hotkey-setup (0.1-17ubuntu13) gutsy; urgency=low

  * Fix the keycode send for video hotkeys

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Fri, 31 Aug 2007 05:03:45 +0100

hotkey-setup (0.1-17ubuntu12) gutsy; urgency=low

  * Load required modules on Thinkpads and Sonys

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Fri, 31 Aug 2007 04:37:25 +0100

hotkey-setup (0.1-17ubuntu11) gutsy; urgency=low

  * Build packages for lpia as well.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 16 Aug 2007 00:34:43 +1000

hotkey-setup (0.1-17ubuntu10) gutsy; urgency=low

  * Make "/etc/init.d/hotkey-setup stop" really *not* fail on 'stop'.
    (Closes: LP #109679).

 -- Paul Sladen <ubuntu@paul.sladen.org>  Sun, 29 Apr 2007 20:24:56 +0300

## hotkey-setup 0.1-17ubuntu21

=== debian/changelog ===
hotkey-setup (0.1-17ubuntu21) hardy; urgency=low

  * Change the default _DOS value, preventing crashes on lid close.
    LP: #157691.

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Thu, 10 Apr 2008 17:06:14 +0100

## hotkey-setup 0.1-17ubuntu21buffalo1

=== debian/changelog ===
hotkey-setup (0.1-17ubuntu21buffalo1) buffalo; urgency=low

  * modified debian/init.d to add TOSHIBA case
  * added file TOSHIBA.hk
  * both fix bug LP: #340898 

 -- Bill Filler <bill.filler@canonical.com>  Fri, 20 Mar 2009 14:11:35 -0400

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Standards-Version: 3.6.1
 
 Package: hotkey-setup
-Architecture: i386 amd64
-Depends: dmidecode (>= 2.7), sysv-rc (>= 2.86.ds1-14.1ubuntu2)
+Architecture: i386 amd64 lpia
+Depends: dmidecode (>= 2.7), sysv-rc (>= 2.86.ds1-14.1ubuntu2), laptop-detect
 Conflicts: tpb
 Description: auto-configures laptop hotkeys
  This package will attempt to auto-detect your laptop hardware and then

=== debian/rules ===
--- 
+++ 
@@ -51,7 +51,7 @@
 #	dh_installemacsen
 #	dh_installpam
 #	dh_installmime
-	dh_installinit
+	dh_installinit -- multiuser
 #	dh_installcron
 #	dh_installinfo
 	dh_installman

## hotkey-setup 0.1-23

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
 all: dumpkeycodes thinkpad-keys
 
 dumpkeycodes: dumpkeycodes.c
-	$(CC) -o $@ $<
+	$(CC) -O2 -o $@ $<
 	strip $@
 
 thinkpad-keys: thinkpad-keys.c
-	$(CC) -o $@ $<
+	$(CC) -O2 -o $@ $<
 	strip $@
 
 key-constants: /usr/include/linux/input.h aliased-keys
@@ -22,6 +22,6 @@
 	./make-atkbd.sh
 
 clean:
-	- rm -f dumpkeycodes thinkpad-keys *~
+	- rm -f dumpkeycodes thinkpad-keys thinkpad-keys-update *~

=== debian/changelog ===
hotkey-setup (0.1-23) unstable; urgency=low

  * Avoid trying to kill thinkpad-keys if there is no process to
    kill (Closes: #488095).

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 27 Jun 2008 09:21:47 +0200

hotkey-setup (0.1-22) unstable; urgency=low

  * Merge changes from Ubuntu version 0.1-17ubuntu21.
    - Change default _DOS value to prevent crashes from 4 to 7
      (Closes: #483200).
  * Handle systems without xorg.conf files by asking discover v2 about
    the correct X driver to use on a given system, until a way to ask
    X which driver it is using is found.
  * Updated standards-version from 3.7.3 to 3.8.0.  No change needed.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 25 Jun 2008 21:35:29 +0200

hotkey-setup (0.1-21) unstable; urgency=low

  * Only try to read /etc/X11/xorg.conf if it exist (Closes: #461147)
  * Add ${shlibs:Depends}, ${misc:Depends} as dependencies to make
    sure dh_shlibdeps actually work.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 17 Jan 2008 22:21:46 +0100

hotkey-setup (0.1-20) unstable; urgency=low

  * Add reportbug script to include the key dmidecode values
    in bug reports.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 13 Jan 2008 20:45:51 +0100

hotkey-setup (0.1-19) unstable; urgency=low

  * Readd prerm script that was added in version 0.1-17.2 and lost in
    version 0.1-18.  Update it to activate for all versions before
    0.1-19 (Closes: #437360, #460057)
  * Only update /proc/acpi/video/*/DOS when it exist (Closes: #460109)

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 10 Jan 2008 20:56:48 +0100

hotkey-setup (0.1-18) unstable; urgency=low

  * New maintainer (Closes: #459898).
  * Acknowledge NMU (Closes: #458535).
  * Merge changes from Ubuntu version 0.1-17ubuntu20.
    - Adds support for CLEVO D500P laptop (Closes: #355813)
    - Avoids circular dependencies between key and brightness events
      (Closes: #459881).
    - Reduces power and cpu consumption of thinkpad-keys (Closes:
      #430031)
  * Debian changes from earlier versions left to merge with Ubuntu:
    - Include LSB header in init.d script.
    - Make sure to exit the init.d script if the package
      is removed but not purged.
    - Depend on "console-tools | console-utilities" for the
      setkeycodes program.
    - Do not depend on newer sysv-rc, Debian is not using the
      multiuser argument for update-rc.d.
    - Remove runlevel 0 and 6 stop scripts by removing and adding the
      init.d script, as just removing the symlinks do not work with
      file-rc.
    - Updated standards-version from 3.6.1 to 3.7.3.
  * Add new keys for mute and volume up and down keys on Dell XPS
    M1330 (Closes: #459423).
  * Add keys left and right for Thinkpad X60 tablets (Closes:
    #445737).
  * Change formatting of NEWS file to keep lintian quiet.

 -- Petter Reinholdtsen <pere@debian.org>  Wed,  9 Jan 2008 23:23:18 +0100

hotkey-setup (0.1-17.2) unstable; urgency=low

  * Non-maintainer upload.
  * Updated standards-version from 3.6.1 to 3.7.3.  No changes needed.
  * Make sure init.d script is not executed when the package is removed
    but not purged (Closes: #379613).  Patch from Vagrant Cascadian.
  * Add LSB style dependency header in init.d script (Closes: #376955)
  * Remove unneeded stop symlinks in runlevel 0 and 6.  Based on patch
    from Scott James Remnant and Ubuntu.
  * Use -c when checking for /dev/nvram (Closes: #387246).  Patch from
    Tom May.
  * Don't fail when keystate cannot be restored or thinkpad-keys cannot
    be terminated when stopping initscript.  Patch from Kel Modderman.
  * Add a custom prerm script to remove keycodes state file when prerm
    of installed package fails (Closes: #437360). Patch from Kel
    Modderman.
  * Depend on console-tools | console-utilities to make sure the
    setkeycodes program is available (Closes: #431329).
  * Change init.d shell from /bin/bash to /bin/sh, based on patch from
    Paul Sladen and Ubuntu.
  * Ensure that the existing scripts are only run on laptops.  Based
    on patch from Matthew Garrett and Ubuntu.

 -- Petter Reinholdtsen <pere@debian.org>  Tue,  1 Jan 2008 14:45:47 +0100

hotkey-setup (0.1-17.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Medium urgency for fixing RC bug.
  * Drop removed Build-Depend on linux-kernel-headers. (Closes: #433277)

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Sat, 04 Aug 2007 19:10:07 +0200

=== debian/control ===
Source: hotkey-setup
Section: misc
Priority: optional
Maintainer: Petter Reinholdtsen <pere@debian.org>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.8.0

Package: hotkey-setup
Architecture: i386 amd64 lpia
Depends: ${shlibs:Depends}, ${misc:Depends}, dmidecode (>= 2.7), laptop-detect, console-tools | console-utilities, discover (>= 2.0)
Conflicts: tpb
Description: auto-configures laptop hotkeys
 This package will attempt to auto-detect your laptop hardware and then
 configure its hotkeys to produce useful keycodes. These can then be used by
 userspace applications.

=== debian/rules ===
--- 
+++ 
@@ -33,6 +33,10 @@
 	cp $(CURDIR)/dumpkeycodes $(CURDIR)/debian/hotkey-setup/usr/sbin
 	cp $(CURDIR)/thinkpad-keys $(CURDIR)/debian/hotkey-setup/usr/sbin
 
+	# reportbug helper script
+	mkdir -p $(CURDIR)/debian/hotkey-setup/usr/share/bug
+	install -m 755 debian/hotkey-setup.bug $(CURDIR)/debian/hotkey-setup/usr/share/bug/hotkey-setup
+
 # Build architecture-independent files here.
 binary-indep: build install
 # We have nothing to do by default.
@@ -51,7 +55,7 @@
 #	dh_installemacsen
 #	dh_installpam
 #	dh_installmime
-	dh_installinit -- multiuser
+	dh_installinit -- start 20 2 3 4 5 . stop 20 1 .
 #	dh_installcron
 #	dh_installinfo
 	dh_installman

## hotkey-setup 0.1-23ubuntu7

=== debian/changelog ===
hotkey-setup (0.1-23ubuntu7) intrepid; urgency=low

  * debian/init.d: Don't fail if thinkpad-acpi fails to load, just skip the
    hotkey mask setup (LP: #282907)

 -- Matt Zimmerman <mdz@ubuntu.com>  Wed, 15 Oct 2008 12:24:46 +0100

hotkey-setup (0.1-23ubuntu6) intrepid; urgency=low

  * Revert 0.1-23ubuntu4 and use a different method to set the hotkey mask:

    + Add hotkey mask definitions to ibm.hk
    + Use the sysfs interface rather than the old procfs interface
    + Unconditionally try to enable the bits for volume and brightness
    + Restore the test for the thinkpad key, and start the daemon if
      setting the corresponding bit doesn't work
    + For everything else, just accept the driver defaults

  * Thanks to Matthew Garrett for background on the old code and the
    thinkpad_acpi driver

  * This should address LP: #222796 without reopening LP: #256887

 -- Matt Zimmerman <mdz@ubuntu.com>  Mon, 13 Oct 2008 11:21:30 +0100

hotkey-setup (0.1-23ubuntu5) intrepid; urgency=low

  * Add support for Fujitsu siemens Amilo Pa 2548 (LP: #192571)

 -- Bryce Harrington <bryce@ubuntu.com>  Tue, 09 Sep 2008 12:57:43 -0700

hotkey-setup (0.1-23ubuntu4) intrepid; urgency=low

  * init.d: No need to mess with the Thinkpad hotkey mask anymore. 
    Current version of thinkpad_acpi suggests using the default.
    (LP: #256887)

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Mon, 01 Sep 2008 10:29:57 +0300

hotkey-setup (0.1-23ubuntu3) intrepid; urgency=low

  * Switch to kbd as default console-utilities provider.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 27 Aug 2008 07:01:28 +0100

hotkey-setup (0.1-23ubuntu2) intrepid; urgency=low

  * Modify the initscipt to not need discover. (LP: #221571)

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Fri, 08 Aug 2008 16:12:08 +0300

hotkey-setup (0.1-23ubuntu1) intrepid; urgency=low

  * Drop discover to Suggests for now to make hotkey-setup installable again
    within main. I don't think we want discover in main, though we do need
    to figure out some other way to handle systems without xorg.conf files.
    See LP #221571.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 01 Jul 2008 09:23:42 +0100

## hotkey-setup 0.1-23ubuntu12

=== Makefile ===
all: dumpkeycodes

dumpkeycodes: dumpkeycodes.c
	$(CC) -O2 -o $@ $<
	strip $@

clean:
	- rm -f dumpkeycodes thinkpad-keys thinkpad-keys-update *~

=== debian/changelog ===
hotkey-setup (0.1-23ubuntu12) jaunty; urgency=low

  * Add a kludge in the prerm script to force the upgrade from
    0.1-23ubuntu10.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 06 Apr 2009 16:31:11 +0000

hotkey-setup (0.1-23ubuntu11) jaunty; urgency=low

  * Re-add removed "fi" from init.d script (LP: #356157) 

 -- Nicolas Valcárcel Scerpella <nvalcarcel@canonical.com>  Mon, 06 Apr 2009 08:18:20 -0500

hotkey-setup (0.1-23ubuntu10) jaunty; urgency=low

  * Drop the override of the hotkey mask for ThinkPads.  This is currently
    used for brightness keys, volume keys, and the ThinkVantage button:
    - the ThinkVantage button is part of the default mask now
    - brightness events are exposed via a different ACPI input device now,
      so don't need to be overridden
    - overriding the volume keys causes double-stepping of the volume,
      because the volume was also being adjusted in the hardware mixer, which
      we can't disable - so we don't want these keys exposed for now.
    LP: #355300.
  * Also drop the thinkpad-keys daemon; a look at the thinkpad-acpi
    source indicates that this will never trigger at present, because
    the hotkey mask from the kernel always includes the
    ThinkVantage/IBMAccess key if the module loads at all, so this is
    dead code and no one is reporting any issues.
  * This leaves only setting of /proc/acpi/video/*/DOS as a function of this
    package.  This should be moved to be a kernel default, at which point
    we can drop this package.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 04 Apr 2009 22:49:19 +0000

hotkey-setup (0.1-23ubuntu9) jaunty; urgency=low

  * ibm.hk: remove commented-out setkeycodes commands that have no effect
    because they match the kernel map; and drop the commented-out mappings
    for the back/forward keys, which are inverted anyway.
  * debian/init.d: do_thinkpad() depends on the existence of
    /sys/devices/platform/thinkpad_acpi/hotkey_mask, not on whether
    thinkpad_acpi is built as a module.  Ideally, the modprobe should be
    removed altogether, with the mask handling moved to a udev rule.
  * debian/init.d: don't modprobe the sony modules; one no longer exists,
    the other should be correctly autoloaded by udev via an acpi alias.
  * drop default.hk and remove references to it from debian/init.d,
    since it's empty.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 08 Feb 2009 18:53:01 -0800

hotkey-setup (0.1-23ubuntu8) jaunty; urgency=low

  * Drop unnecessary hotkey files that are loaded by HAL fdi files instead.
    Each of the keycodes in here has been verified to be present in the 
    appropriate HAL FDI file:
    - dell.hk
    - hp.hk
    - generic.hk
    - compaq.hk
    - acer.hk
    - acer-aspire-1600.hk
    - lenovo.hk
    - toshiba-tablet.hk
    - medion-md6200.hk
    - micro-star-infinity.hk
    - samsung.hk
    - asus.hk
    - hp-tablet.hk
    - fujitsu-siemens-pa2548.hk
  * Drop unused hotkey files (never referenced in debian/init.d):
    - hp-v2000.hk
    - clevo-d500p.hk
  * debian/init.d: Drop unnecessary sections:
    - Dell hotkeys
    - HP hotkeys
    - HP Tablet hotkeys
    - Compaq hotkeys
    - Acer hotkeys
    - Lenovo hotkeys
    - Medion hotkeys
    - Micro-Star hotkeys
    - Samsung hotkeys
    - ASUS hotkeys
    - Fujitsu hotkeys
    - State saving
    - Xorg.conf driver parser.  Doesn't work unless the user hand modified the config
      to explicitly specify Intel, or AMD driver.

 -- Mario Limonciello <mario_limonciello@dell.com>  Fri, 09 Jan 2009 17:43:12 -0600

=== debian/control ===
Source: hotkey-setup
Section: misc
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Petter Reinholdtsen <pere@debian.org>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.8.0

Package: hotkey-setup
Architecture: i386 amd64 lpia
Depends: ${shlibs:Depends}, ${misc:Depends}, dmidecode (>= 2.7), laptop-detect, kbd | console-utilities
Suggests: discover (>= 2.0)
Conflicts: tpb
Description: auto-configures laptop hotkeys
 This package will attempt to auto-detect your laptop hardware and then
 configure its hotkeys to produce useful keycodes. These can then be used by
 userspace applications.

=== debian/rules ===
--- 
+++ 
@@ -25,13 +25,8 @@
 	dh_clean -k 
 	dh_installdirs
 
-	# Add here commands to install the package into debian/hotkey-setup.
-	mkdir -p $(CURDIR)/debian/hotkey-setup/usr/share/hotkey-setup
-	cp $(CURDIR)/*.hk $(CURDIR)/debian/hotkey-setup/usr/share/hotkey-setup
-	cp $(CURDIR)/key-constants $(CURDIR)/debian/hotkey-setup/usr/share/hotkey-setup
-	mkdir $(CURDIR)/debian/hotkey-setup/usr/sbin
+	mkdir -p $(CURDIR)/debian/hotkey-setup/usr/sbin
 	cp $(CURDIR)/dumpkeycodes $(CURDIR)/debian/hotkey-setup/usr/sbin
-	cp $(CURDIR)/thinkpad-keys $(CURDIR)/debian/hotkey-setup/usr/sbin
 
 	# reportbug helper script
 	mkdir -p $(CURDIR)/debian/hotkey-setup/usr/share/bug
